RM(1)

NAVN
rm - remove files or directories

SYNOPSIS
rm [FLAG]... [FIL]...

BESKRIVELSE
This manual page documents the GNU version of rm. rm removes each specified file. By default, it does not remove directories.

If the -I or --interactive=once option is given, and there are more than three files or the -r, -R, or --recursive are given, then rm prompts the user for whether to proceed with the entire operation. If the response is not affirmative, the entire command is aborted.

Otherwise, if a file is unwritable, standard input is a terminal, and the -f or --force option is not given, or the -i or --interactive=always option is given, rm prompts the user for whether to remove the file. If the response is not affirmative, the file is skipped.

TILVALG

Fjern (aflænk) FILerne.

-f, --force
    ignorér filer og argumenter, der ikke findes; spørg aldrig

-i  spørg før hver sletning

-I  spørg én gang før mere end tre filer fjernes, eller når der fjernes rekursivt. Mindre påtrængende end -i, men beskytter stadig mod de fleste fejltagelser

--interactive[=NÅR]
    spørg jf. NÅR: never, once (-I), eller always (-i). Uden NÅR spørges altid

--one-file-system
    når et hierarki fjernes rekursivt, så spring ethvert katalog over, der findes på et andet filsystem end det, som svarer til kommandolinjeargumentet

--no-preserve-root
    behandl ikke "/" specielt

--preserve-root[=all]
    fjern ikke "/" (standard); med "all" afvises alle kommandolinjeargumenter, som ligger på en anden enhed end deres overkatalog

-r, -R, --recursive
    fjern kataloger og deres indhold rekursivt

-d, --dir
    fjern tomme kataloger

-v, --verbose
    forklar hvad der sker

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

Som standard fjerner rm ikke kataloger. Brug flaget --recursive (-r eller -R) for at fjerne hvert anført katalog også, sammen med alt indhold.

For at fjerne en fil hvis navn begynder med et "-", for eksempel "-foo", kan du bruge en af disse kommandoer:

    rm -- -foo

    rm ./-foo

Bemærk at hvis du bruger rm til at fjerne en fil, er det måske muligt at genskabe noget af denne fils indhold givet tilstrækkelig ekspertise og/eller tid. Hvis du ønsker større sikkerhed for at indholdet virkelig ikke kan genskabes, så overvej at bruge "shred".

FORFATTER
Skrevet af Paul Rubin, David MacKenzie, Richard M. Stallman og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/>

OPHAVSRET
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er frit programmel: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
unlink(1), unlink(2), chattr(1), shred(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/rm>
eller lokalt tilgængelig via: info '(coreutils) rm invocation'

OVERSÆTTELSE
De oversatte denne manual til dansk Denne oversættelse er gratis dokumentation; læs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for copyrightbetingelser. Der er INGEN ANSVAR. Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en e-mail til TODO.